Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.sendkit.dev/suppressions \ --header 'Authorization: Bearer <token>'
{ "data": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "email": "jsmith@example.com", "created_at": "2026-03-03 10:00:00", "updated_at": "2026-03-03 10:00:00" } ], "links": { "first": "https://api.sendkit.dev/contacts?page=1", "last": "https://api.sendkit.dev/contacts?page=3", "prev": null, "next": "https://api.sendkit.dev/contacts?page=2" }, "meta": { "current_page": 1, "from": 1, "last_page": 3, "per_page": 25, "to": 25, "total": 75, "path": "https://api.sendkit.dev/contacts" } }
Retrieve a paginated list of all suppressed email addresses.
API key from your SendKit dashboard. Pass it as a Bearer token in the Authorization header.
A paginated list of suppression entries
Show child attributes